REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single TemplateFile record by its Id.
{ "BusinessId": 123, "TemplateVersionId": 123, "Name": "<string>", "Title": "<string>", "Description": "<string>", "PictureFileName": "<string>", "NewPictureUrl": "<string>", "ClearPictureFile": true, "Permalink": "<string>", "FileLanguageId": 123, "Published": true, "Visibility": 123, "Password": "<string>", "IsCustom": true, "ThemeName": "<string>", "FileContents": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
TemplateFile-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/templatefiles/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "BusinessId": 0, "TemplateVersionId": null, "Name": "", "Title": null, "Description": null, "PictureFileName": null, "NewPictureUrl": null, "ClearPictureFile": null, "Permalink": "", "FileLanguageId": null, "Published": false, "Visibility": 0, "Password": null, "IsCustom": false, "ThemeName": null, "FileContents": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "TemplateFile Example", "LocalizationDetails": null, "CustomFields": null }